Download it now!
Bug 65881 - FILEOPEN: Writer freezes when trying to open a DOC with frame in header
Summary: FILEOPEN: Writer freezes when trying to open a DOC with frame in header
Status: RESOLVED DUPLICATE of bug 76219
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, haveBacktrace
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2013-06-18 08:29 UTC by cyrille.derory
Modified: 2017-01-26 17:02 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
DOC file working with word but blocking LibreOffice Writer (91.50 KB, application/msword)
2013-06-18 08:29 UTC, cyrille.derory
Details
3 bts at random (2.04 KB, application/bzip2)
2013-06-18 20:50 UTC, Julien Nabet
Details
procdump+debug (14.22 KB, text/plain)
2016-02-26 09:45 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cyrille.derory 2013-06-18 08:29:57 UTC
Created attachment 80988 [details]
DOC file working with word but blocking LibreOffice Writer

When opening this DOC file (see attachement) LibreOffice 4.1.0.0 beta 2 is blocking.
Same with previous stable versions 4.0.1 to 4.0.3, 3.6.x, 3.5.x.
I've tested LibreOffice on windows and Linux 32 bits.
Comment 1 Emir Sarı 2013-06-18 08:46:18 UTC
Reproducible with 4.2.0 master, on OS X 10.7.5. 

OpenOffice also hangs while opening the file.
Comment 2 Julien Nabet 2013-06-18 20:36:59 UTC
Comment on attachment 80988 [details]
DOC file working with word but blocking LibreOffice Writer

Mimetype fixed
Comment 3 Julien Nabet 2013-06-18 20:50:00 UTC
Created attachment 81039 [details]
3 bts at random

On pc Debian x86-64 with master sources updated today, I reproduced the problem.

I attached 3 bts at random.
Comment 4 Julien Nabet 2013-06-18 20:53:08 UTC
On pc Debian x86-64 with 4.0.3 Debian package, I can reproduce this too.
So I updated the version.
Comment 5 QA Administrators 2015-03-16 23:05:45 UTC Comment hidden (obsolete)
Comment 6 Jean-Baptiste Faure 2015-03-28 16:25:07 UTC
Still reproducible with the master built at home:
Version: 4.5.0.0.alpha0+
Build ID: c79bdd062f657d1be98aa815d9b882d144f35e04
Ubuntu_14.10_x86-64
Locale: fr_FR

Best regards. JBF
Comment 7 Timur 2016-02-26 09:45:18 UTC
Created attachment 123005 [details]
procdump+debug
Comment 8 Julien Nabet 2016-02-26 09:52:07 UTC
Michael: thought you might be interested in this one.
Comment 9 Xisco Faulí 2017-01-26 17:02:35 UTC
It opens if 347bb1634b10eba577742fe8a7edb4b2dd69265d is reverted. Closing as
RESOLVED DUPLICATED of bug 76219

*** This bug has been marked as a duplicate of bug 76219 ***